Subject: Support @var/@param type "object"
Description

Currently "object" is not supported as param type:

class MyClass {

   /**
    * @var object
    */
   protected $myVar;

}

results in exception:

#1264093630: Invalid type encountered: 'object' 

Associated revisions
Revision 9bd53546 - 2010-09-03 20:33 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): Support "object" as property type

Member variables with a type of "object" in entities and valueobjects
can now be used, as long as they contain an entity or valueobject when
being persisted.

Change-Id: Ia2b858cf1a2cb20cbc127069ed29a62275ab8e0e
Resolves: #9586

History
#1 - 2010-09-03 17:10 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2010-09-07 11:45 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:"9bd5354619071152f022f43b1bd1abcd4e25c92e".
